From 46defb1c6d132335ab1303e543bc0c5a3f0b6a2d Mon Sep 17 00:00:00 2001
From: travankor <travankor@tuta.io>
Date: Tue, 16 Jul 2019 12:21:45 -0700
Subject: [PATCH] net-tools: update to 1.60.20181103git.

---
 srcpkgs/net-tools/template | 59 ++++++++++++++++++++------------------
 1 file changed, 31 insertions(+), 28 deletions(-)

diff --git a/srcpkgs/net-tools/template b/srcpkgs/net-tools/template
index e98311aa5a3..901252a54bf 100644
--- a/srcpkgs/net-tools/template
+++ b/srcpkgs/net-tools/template
@@ -1,12 +1,16 @@
 # Template file for 'net-tools'
 pkgname=net-tools
-version=1.60.20150526git
-revision=4
+version=1.60.20181103git
+revision=1
+_githash=0eebece8c964e3cfa8a018f42b2e7e751a7009a0
+wrksrc="${pkgname}-${_githash}"
 hostmakedepends="git"
 short_desc="Basic networking tools"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
-homepage="http://sourceforge.net/projects/$pkgname/"
-license="GPL-2"
+license="GPL-2.0-only"
+homepage="https://github.com/ecki/net-tools"
+distfiles="https://github.com/ecki/net-tools/archive/${_githash}.tar.gz"
+checksum=795cb4dd2618ed7ff9a48b9cb63b33780b47dfd7464c8e52ba734e6796cbab17
 
 alternatives="
  ifconfig:ifconfig:/usr/bin/${pkgname}-ifconfig
@@ -14,40 +18,39 @@ alternatives="
  hostname:hostname:/usr/bin/${pkgname}-hostname
  hostname:/usr/share/man/man1/hostname.1:/usr/share/man/man8/${pkgname}-hostname.1"
 
-do_fetch() {
-	git clone git://git.code.sf.net/p/net-tools/code ${pkgname}-${version}
-}
 pre_build() {
 	sed -i "s#/sbin#/bin#" Makefile
 	sed -i "s#/usr##" man/Makefile
 	case "$XBPS_TARGET_MACHINE" in
-	*-musl)
-
-		# Include file is <linux/ipv6_route.h>
-		sed -i ${wrksrc}/lib/inet6_gr.c \
-			-e "s#netinet6/#linux/#"
-		sed -i ${wrksrc}/lib/inet6_sr.c \
-			-e "s#netinet6/#linux/#"
-
-		# HZ is defined in <asm/param.h>
-		sed -i ${wrksrc}/lib/inet_sr.c \
-			-e "/#include <sys\/param.h>/a #include <asm\/param.h>"
-		sed -i ${wrksrc}/netstat.c \
-			-e "/#include <sys\/param.h>/a #include <asm\/param.h>"
-
-		# Need <termios.h> for tty constants and structure
-		sed -i ${wrksrc}/slattach.c \
-			-e "/#include <limits.h>/a #include <termios.h>"
-
-		# Disable obsolete non-glibc includes
-		sed -i ${wrksrc}/mii-tool.c \
-			-e "s/#ifndef __GLIBC__/#if 0/"
+		*-musl)
+
+			# Include file is <linux/ipv6_route.h>
+			sed -i ${wrksrc}/lib/inet6_gr.c \
+				-e "s#netinet6/#linux/#"
+			sed -i ${wrksrc}/lib/inet6_sr.c \
+				-e "s#netinet6/#linux/#"
+
+			# HZ is defined in <asm/param.h>
+			sed -i ${wrksrc}/lib/inet_sr.c \
+				-e "/#include <sys\/param.h>/a #include <asm\/param.h>"
+			sed -i ${wrksrc}/netstat.c \
+				-e "/#include <sys\/param.h>/a #include <asm\/param.h>"
+
+			# Need <termios.h> for tty constants and structure
+			sed -i ${wrksrc}/slattach.c \
+				-e "/#include <limits.h>/a #include <termios.h>"
+
+			# Disable obsolete non-glibc includes
+			sed -i ${wrksrc}/mii-tool.c \
+				-e "s/#ifndef __GLIBC__/#if 0/"
 	esac
 }
+
 do_build() {
 	replace_interpreter bash configure.sh
 	yes "" | make
 }
+
 do_install() {
 	make DESTDIR=${DESTDIR}/usr update
 	# Rename ifconfig for alternatives.
